For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet the list of all the sub-accounts of the master account.
      • POSTCreate a new sub-account under a master account.
      • GETGet sub-account details
      • DELDelete a sub-account
      • PUTUpdate sub-account plan
      • PUTUpdate sub-accounts plan
      • POSTGenerate SSO token to access admin account
      • POSTGenerate SSO token to access sub-account
      • GETGet the details of requested master account
      • POSTCreate an API key for a sub-account
      • PUTEnable/disable sub-account application(s)
      • POSTCreate a new group of sub-accounts
      • GETList of all IPs
      • POSTAssociate an IP to sub-accounts
      • PUTDissociate an IP to sub-accounts
      • GETGET a group details
      • PUTUpdate a group of sub-accounts
      • DELDelete a group
      • PUTDelete sub-account from group
      • POSTSend invitation to an admin user
      • PUTResend / cancel admin user invitation
      • DELRevoke an admin user
      • GETGet the list of all admin users
      • GETCheck admin user permissions
      • PUTChange admin user permissions
      • GETGet the list of groups
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsMaster Account

Get sub-account details

GET
https://api.brevo.com/v3/corporate/subAccount/:id
GET
/v3/corporate/subAccount/:id
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.masterAccount.getSubAccountDetails(1);
8}
9main();
1{
2 "companyName": "API-Sub-26thOct21-4",
3 "email": "uday+1@brevo.com",
4 "groups": [
5 {
6 "id": "5f8f8c3b5f56a02d4433b3a7",
7 "name": "Group 1"
8 },
9 {
10 "id": "5f8f8c3b5f56a02d4433b3a8",
11 "name": "Group 2"
12 }
13 ],
14 "name": "Uday Pandit",
15 "planInfo": {
16 "credits": {
17 "emails": {
18 "quantity": 2000,
19 "remaining": 1955
20 },
21 "externalFeeds": {
22 "quantity": 1,
23 "remaining": 1
24 },
25 "sms": {
26 "quantity": 2000,
27 "remaining": 1955
28 },
29 "whatsapp": {
30 "quantity": 100,
31 "remaining": 50
32 },
33 "wpSubscribers": {
34 "quantity": 2000,
35 "remaining": 1955
36 }
37 },
38 "features": {
39 "inbox": {
40 "quantity": 20,
41 "remaining": 12
42 },
43 "landingPage": {
44 "quantity": 25,
45 "remaining": 14
46 },
47 "salesUsers": {
48 "quantity": 30,
49 "remaining": 14
50 },
51 "users": {
52 "quantity": 30,
53 "remaining": 14
54 }
55 },
56 "planType": "paid"
57 }
58}

This endpoint will provide the details for the specified sub-account company

Was this page helpful?
Previous

Delete a sub-account

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

idlongRequired

Id of the sub-account organization

Response

Sub-account organization details

companyNamestring

Sub-account company name

emailstring

Email id of the sub-account organization

groupslist of objects

List of groups associated with the sub-account

namestring

Name of the sub-account user

planInfoobject

Sub-account plan details

Errors

400
Bad Request Error